Notes de mises  jour de Red Hat Linux 7.1 pour Itanium

Ce document dcrit les nouvelles fonctionnalits de Red Hat Linux pour
Itanium qui n'ont pas pu tre prpares  temps pour tre insres dans la
documentation. Pour trouver les informations les plus rcentes, consultez
le fichier RELEASE-NOTES contenu dans le CD 1 de Red Hat Linux.

Notes
-----

    o Changement de chargeur d'amorage -- Red Hat Linux pour Itanium
      utilise le chargeur d'amorage ELILO.  Avant de procder 
      l'installation de Red Hat Linux pour Itanium, les systmes Itanium
      dots d'un chargeur d'amorage moins rcent, connu sous le nom de
      ELI, doivent tre mis  jour afin qu'ils utilisent ELILO.

      Si vous utilisiez ELI, notez que le passage  ELILO affecte le nom du
      fichier de configuration du chargeur d'amorage :

            - ELI utilise eli.cfg
            - ELILO utilise elilo.conf

    o Partitionnement -- Red Hat Linux pour Itanium prend en charge les
      tables de partitions EFI GUID. Ces tables de partition sont cres
      par dfaut par Disk Druid sur les disques non partitionns et peuvent
      tre dites en utilisant parted. fdisk ne gre pas actuellement le
      partitionnement EFI GPT.

    o Rvisions de progiciel sur un prototype de matriel -- Si vous
      souhaitez excuter Red Hat Linux pour Itanium sur un prototype de
      matriel Itanium, veillez  ce que votre matriel utilise la version
      de progiciel la plus rcente.  Si vous souhaitez obtenir une mise 
      jour du progiciel, contactez votre distributeur.  Notez que les
      systme Itanium non prototypes devraient dj tre dots de la
      rvision adquate.

    o Partitionnement automatique -- Red Hat Linux pour Itanium ne prend en
      charge le partitionnement automatique que pour les installations
      Serveur. Notez qu'en choisissant le partitionnement automatique vous
      effacerez TOUTES les partitions existantes et dtruirez TOUTES les
      donnes de TOUS les disques.

    o Mise  jour d'une versions bta non gre -- Notez que la mise  jour
      d'une version bta de Red Hat Linux  une version dfinitive de Red
      Hat Linux pour Itanium n'est pas officiellement prise en charge. Ce
      type de mise  jour pourrait ne pas fonctionner, pour cela nous vous
      conseillons d'effectuer une nouvelle installation lorsque vous passez
       une version dfinitive de Red Hat Linux.

    o Rappel concernant l'installation de NFS, FTP ou HTTP -- Puisque le
      programme d'installation de Red Hat Linux pour Itanium installe Red
      Hat Linux  partir de plusieurs CD-ROM, si vous souhaitez grer
      l'installation NFS, FTP ou HTTP vous ne pouvez plus simplement monter
      un seul CD-ROM Red Hat Linux et procder  l'installation  partir de
      celui-ci.

      Vous devez en effet copier le rpertoire Red Hat de chaque CD-ROM de
      Red Hat Linux 7.1 pour Itanium sur un disque :

        - Insrez le CD 1
          mount /dev/cdrom /mnt/cdrom
          cp -var /mnt/cdrom/RedHat <emplacement de l'espace disque>
          umount /mnt/cdrom

        - Insrez le CD 2
          mount /dev/cdrom /mnt/cdrom
          cp -var /mnt/cdrom/RedHat <emplacement de l'espace disque>
          umount /mnt/cdrom

      Ensuite vous devez rendre <emplacement de l'espace disque> accessible
      au programme d'installation (par exemple, en l'exportant pour les
      installations NFS) :

        - Exportez <emplacement de l'espace disque>


Changements et amliorations de l'installation
----------------------------------------------

Le programme d'installation de Red Hat Linux 7.1 comprend de nombreuses
nouvelles fonctionnalits. Pour de plus amples informations, consultez le
Guide d'installation officiel de Red Hat Linux.


    o Mises  jour concernant le swap -- Le noyau 2.4 est plus agressif que
      le noyau 2.2 en terme d'utilisation de l'espace swap. La bonne
      organisation de l'espace swap dpend, comme pour les versions
      prcdentes du noyau, des lments suivants :

        - Quantit de mmoire RAM installe
        - Quantit d'espace disque disponible pour le swap
        - Applications excutes
        - Combinaison des applications excutes en mme temps

      Aucune rgle empirique ne peut prendre en considration toutes ces
      donnes. Cela dit, nous vous recommandons les tailles swap
      suivantes :

        - Systmes  un seul utilisateur comportant moins de 128Mo de RAM
          physique : 256Mo

        - Systmes  un seul utilisateur et petits serveurs comportant une
          mmoire RAM physique de 128Mo : deux fois la RAM physique (2xRAM)

        - Serveurs ddis de plus de 512Mo de RAM physique : en fonction de
          l'environnement (doit tre dtermin au cas par cas)

      Les systmes prsentant des configurations et des charges
      applicatives particulires pourront sans doute fonctionner avec moins
      d'espace swap (ou pas d'espace du tout). Ces lignes directrices ont
      pour but d'assurer que vous ne travaillerez pas hors du swap. En tout
      cas :

        "Il vaut mieux avoir de l'espace swap et ne pas l'utiliser que d'en
         avoir besoin et ne pas en disposer."

    o XFree86 4.0.3 -- Le programme d'installation de Red Hat Linux 7.1
      contient des crans test amliors et une meilleure dtection de la
      mmoire vido. Plus que jamais, il vous simplifiera la vie au cours
      du processus d'installation.

    o Configuration du pare-feu -- Pour une plus grande scurit, vous
      pouvez dsormais configurer le pare-feu au cours de l'installation du
      systme. Vous pouvez choisir entre deux niveaux de scurit et
      slectionner les services du systme que vous voulez activer ou non
      par dfaut.

      N'oubliez pas que les paramtres "medium" et "high" du pare-feu
      bloqueront les services bass sur RPC (comme NIS ou NFS) et les
      empcheront donc de fonctionner.

    o Installation depuis un disque dur -- Les images ISO sont dsormais
      requises pour l'installation depuis un disque dur. Il n'est donc plus
      ncessaire de copier et d'installer l'arborescence entire, il vous
      suffit de placer les images ISO dans un rpertoire. Au cours de
      l'installation depuis un disque dur, dirigez le programme
      d'installation de Red Hat Linux vers ce rpertoire. De plus, Red Hat
      publie des sommes de contrle MD5 pour toutes ses images ISO, ce qui
      vous permet de vrifier avec le programme md5sum que vous utilisez
      bien une source d'installation officielle. Vous pourrez ainsi
      comparer les sommes de contrle de vos propres images ISO  celles
      qui ont t publies par Red Hat.

    o Slection de la langue -- La slection de la langue a t nettement
      amliore. Vous pouvez maintenant procder  l'installation dans une
      langue et demander  ce que le systme, aprs l'installation,
      fonctionne dans une autre langue.

    o Mises  jour de Disk Druid -- Disk Druid dtecte les incohrences de
      la table des partitions, comme par exemple les partitions qui ne
      finissent pas sur les limites de cylindre.  Cela peut arriver si la
      gomtrie du disque dur est diffrente de ce qu'elle tait au moment
      o le disque avait t partitionn.  Dans ces cas, nous vous
      recommandons d'utiliser le programme fdisk pour examiner de plus prs
      ces incohrences, ou d'ignorer le disque.

    o Configuration graphique de Kickstart -- Red Hat Linux 7.1 fournit
      maintenant une interface graphique pour la cration de configurations
      kickstart, permettant de crer plus facilement des installations
      automatiques personnalises.

    o Mise  jour du mode de secours (Rescue) -- Le mode de secours tente
      de monter les systmes de fichiers dclars dans /etc/fstab (en
      supposant que le systme de fichiers racine puisse tre trouv).  Les
      systmes de fichiers sont monts sous /mnt/sysimage.  Ceci limine
      une tape difficile pour l'utilisateur qui emploie ce mode pour la
      premire fois.

    o Nouvelle option scurise de configuration de l'authentification --
      La configuration de l'authentification comprend la capacit
      d'utiliser Transport Layer Security (TLS) durant les
      consultations. TLS permet aux clients LDAP d'utiliser une connexion
      crypte lorsqu'ils effectuent l'authentification.

    o Amliorations diverses du programme d'installation -- De nombreux
      tests et vrifications supplmentaires sont pratiqus pour rsoudre
      les problmes qui causaient jusqu' prsent des pannes
      d'installation. Ceci devrait liminer une bonne partie des mauvaises
      expriences auxquelles sont confronts les nouveaux utilisateurs.

Changements et amliorations du systme
---------------------------------------

Red Hat Linux 7.1 comporte de nombreuses nouveauts en-dehors du processus
d'installation. Certaines de ces nouveauts concernent les programmes du
serveur, d'autres sont de nouvelles applications ou des changements de
l'environnement du bureau. Cette liste fournit quelques informations sur ce
que vous trouverez dans Red Hat Linux 7.1 lorsque vous l'utiliserez.

    o Mise  jour de composants du systme central -- Des amliorations ont
      t apportes aux composants suivants pour la version Red Hat Linux
      7.1 :

        - kernel 2.4.x (avec des corrections supplmentaires)
        - glibc 2.2.3
        - KDE 2.1.1
        - XFree86 4.0.3 avec l'extension Xft de rendu des caractres
          anti-alias
        - GCC 2.96-RH, avec les nombreuses corrections qui ont t
          apportes depuis la version originale 7.0

    o Support USB amlior -- Le noyau 2.4 donne  Red Hat Linux 7.1 un
      support USB plus volu que celui des versions prcdentes de Red Hat
      Linux. Il reconnat plus de priphriques et comprend le support de
      dispositifs de stockage comme les CD-ROM. Il supporte galement les
      priphriques  branchement  chaud - si un priphrique est branch
      aprs le dmarrage, les pilotes appropris se chargeront
      automatiquement.

    o Lecteurs de supports amovibles automatiquement ajouts  /etc/fstab
      -- RedHat Linux 7.1 offre aux utilisateurs la possibilit de monter
      et dmonter des supports amovibles. C'est la fonction du programme
      updfstab (qui fait partie de kudzu, le configurateur automatique de
      matriel au dmarrage). Il ajoute et efface les entres ncessaires
      dans /etc/fstab. Notez que chaque entre gre par updfstab contient
      la nouvelle option kudzu -- il fonctionne comme un indicateur
      montrant que l'entre peut tre effectue par la suite ; si vous
      souhaitez ajouter en permanence une entre comme celle-ci dans votre
      fichier /etc/fstab, il vous suffit de dsactiver l'option kudzu.

      Les priphriques  branchement  chaud sont manipuls par une
      combinaison de cardmgr, hotplug, updfstab et pam_console_apply.
      Lorsque le noyau notifie  hotplug ou cardmgr qu'un nouveau
      priphrique de stockage a t attach au systme, updfstab est
      excut pour ajouter les nouvelles entres  /etc/fstab.  Ensuite,
      updfstab excute pam_console_apply, qui utilise les rgles spcifies
      dans /etc/security/console.perms pour autoriser l'accs au service 
      l'utilisateur de la console en cours.

      Les utilisateurs GNOME qui excutent magicdev verront apparatre
      automatiquement des icnes de priphriques sur leur bureau. magicdev
      vrifie rgulirement la date de /etc/fstab et indique  gmc
      d'analyser les priphriques lorsque /etc/fstab a chang.  Si vous
      n'excutez pas magicdev, l'option "Rescan Devices" (analyser les
      priphriques) du menu racine gmc, qui apparat lorsque vous cliquez
      avec le bouton droit sur le bureau, fonctionne de manire
      quivalente.

      Les utilisateurs de KDE disposent de fonctions similaires.

    o Nouveaux priphriques et pilotes mis  jour -- Red Hat Linux 7.1
      prsente de nombreux nouveaux pilotes, ainsi que des disques mis 
      jour pour pouvoir s'adapter au noyau 2.4. Ces changements
      comprennent :

        - Contrleur SCSI Adaptec AIC7XXX mis  jour
        - Sous-systme IEEE1394 (FireWire(tm)) 
        - Adaptec Starfire quad ethernet
        - Support IPv6
        - NFS version 3
        - iptables, une couche pare-feu amliore
        - Son Maestro3
        - Contrleur Broadcom BCM5700 PCI-X 10/100/1000BASE-T 
        - Support des contrleurs IDE UltraDMA/66 et UltraDMA/100 

    o Acclration 3D sous XFree86 4.0.3 -- Une grande quantit de cartes
      3DFX a t ajoute  la liste des cartes supportant les images 3D
      acclres. De plus, les cartes bases sur Intel i810, Matrox G200,
      G400, G450 (REMARQUE : les oprations  double tte sur G450 ne sont
      pas supportes) et ATI Rage 128 supportent galement des images 3D
      acclres. L'acclration 3D pour les cartes ATI Radeon n'est pour
      l'instant pas supporte par XFree86 4.0.3.

    o Nouvel outil de configuration d'Apache -- apacheconf :

        - Gre de faon intelligente les htes virtuels 
        - Utilise Alchemist Data Library
 
    o Nouvel outil de configuration BIND -- bindconf :

        - Facilite la configuration DNS
        - Utilise Alchemist Data Library

    o Nouvel outil de configuration de l'impression -- printconf :

        - Filtres bass sur le magicfilter de David Parson, le systme
          foomatic et Linux Printing Database (http://linuxprinting.org)
        - Prend en charge plus de 500 imprimantes
        - Met  jour les vieux systmes configurs avec printtool
        - Utilise Alchemist Data Library

    o Rpertoires Emacs/XEmacs site-start.d -- Emacs/XEmacs supportent
      chacun un rpertoire site-start.d.  Les paquetages peuvent dsormais
      placer les fichiers de lancement emacs .el dans le rpertoire
      appropri et ils seront lus au dmarrage de l'diteur.  Il n'est donc
      plus ncessaire d'diter directement le fichier site-start.el. Ces r
      rpertoires sont :

        /usr/share/emacs/site-lisp/site-start.d
        /usr/lib/xemacs/xemacs-packages/lisp/site-start.d

    o Changement du serveur IMAP -- Par dfaut , le serveur IMAP utilise le
      support SSL prdfini au lieu du support de creation de passerelle
      par stunnel. En consquence, le nom du fichier de certificat utilis
      par imapd est pass de stunnel.pem  imapd.pem.  Les utilisateurs
      mettant  jour une version prcdente de Red Hat Linux devront
      renommer, copier ou crer un lien symbolique vers leur certificat
      existant.

    o sendmail -- Par dfaut, sendmail n'accepte pas de connexions rseau
      d'un autre hte que l'ordinateur local. Si vous voulez configurer
      sendmail comme serveur pour d'autres clients, ditez
      /etc/mail/sendmail.mc et changez DAEMON_OPTIONS pour couter certains
      priphriques rseau, ou commentez cette option.  Vous devrez
      rgnrer /etc/sendmail.cf en excutant :

        m4 /etc/mail/sendmail.mc > /etc/sendmail.cf

      Notez que vous devez avoir install le paquetage sendmail-cf pour
      effectuer cette opration.

    o Autres paquetages importants :

        - codeur/dcodeur audio Ogg Vorbis
        - paquetages SGML et XML compatibles LSB
        - KDE 2.1 et KOffice
        - BIND 9.x avec support DNSsec et commande de named  distance 
        - support SSL dans links, slrn, OpenLDAP et pine
        - Pine 4.33
        - diteur HTML Quanta (dans les Powertools)
        - Postfix et exim (dans les Powertools) comprennent le support SSL/TLS 
        - WINE (dans les Powertools) peut directement excuter les binaires
          Windows .exe depuis Linux

    o Paquetages obsoltes -- Les paquetages suivants sont obsoltes et
      pourraient disparatre dans la prochaine version :

        - AfterStep
        - Netscape 4.x
        - Qt 1.x
        - KDE v1, bibliothques de compatibilit / environnement de dveloppement
        - elm
        - linuxconf
        - ncpfs
        - mars_nwe

Documentation concernant les changements et les amliorations
-------------------------------------------------------------

    o Documentation supplmentaire concernant le fichier
      /etc/sysconfig/vncservers - Les contraintes de temps ne nous ont pas
      permis de prparer ces informations avant la date d'impression du
      Guide de rfrence Red Hat Linux.

      Le fichier /etc/sysconfig/vncservers configure le dmarrage du
      serveur Virtual Network Computing (VNC). VNC est un systme local
      d'affichage qui vous permet d'afficher un environnement graphique non
      seulement sur l'ordinateur sur lequel il est excut, mais aussi 
      travers diffrents rseaux (depuis un rseau local jusqu' Internet)
      et utilisant une grande varit d'architectures.
  
      Il peut contenir les lments suivants :

      VNCSERVERS=<valeur>, o <valeur> pourra par exemple ressembler 
      1:fred pour indiquer qu'un serveur VNC devrait tre lanc par
      l'utilisateur fred sur l'cran :1. L'utilisateur fred doit avoir
      install un mot de passe VNC en utilisant vncpasswd avant d'essayer
      de se connecter au serveur VNC distant.

      Notez que lorsque vous utilisez un serveur VNC, votre communication
      avec lui n'est pas crypte. Elle ne devrait donc pas tre utilise
      sur un rseau non scuris. Pour obtenir des instructions spcifiques
      concernant l'utilisation de SSH pour scuriser la communication VNC,
      veuillez consulter les informations que vous trouverez  l'adresse
      http://www.uk.research.att.com/vnc/sshvnc.html.  Pour en savoir plus
      sur SSH, veuillez vous rfrer au Guide de rfrence et au Guide de
      personnalisation Red Hat Linux.

ia64 7.1
